Subject: [OPSAWG] Review of draft-ietf-opsawg-mud-11

From: Joe Clarke <[email-masked]>
Date: Wed, 4 Oct 2017 11:01:03 -0400

I have re-read the latest MUD draft, and in general, it reads well and
seems to address recent directorate comments.

I noticed two small things in the latest example, though.  First, the
order of elements does not agree with the YANG model.  It should be:

mud-url
last-update
cache-validity
is-supported
systeminfo

But the example lists:

mud-url
last-update
is-supported
systeminfo
cache-validity

Also, under the definition for ACE cl0-todev, the direction is specified
as from-device when I think it should be to-device.

Joe

---

From: Joe Clarke <[email-masked]>
Date: Wed, 4 Oct 2017 12:33:49 -0400

> as from-device when I think it should be to-device.

One other thing I wanted to raise.  Would it make sense to reference
RFC7159 with respect to the JSON encoding of the MUD file?  I'm thinking
this should be added to Section 1.5.

Joe

---

From: Eliot Lear <[email-masked]>
Date: Thu, 5 Oct 2017 14:01:38 +0200

Hi Joe, Ranga, Kent, and others,

Now that last call has closed I have a number of comments to resolve.  I
will go through in the next day or so and indicate the resolution to
each comment.

Regards,

Eliot

On 10/4/17 5:01 PM, Joe Clarke wrote:
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>